package com.enteprise.growthRate.controller;

import com.enteprise.common.core.controller.BaseController;
import com.enteprise.common.core.page.TableDataInfo;
import com.enteprise.growthRate.domain.GrowthRate;
import com.enteprise.growthRate.domain.dto.GrowthRateDto;
import com.enteprise.growthRate.service.IGrowthRateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/growthRate/growthRate")
public class GrowthRateController extends BaseController {
    @Autowired
    private IGrowthRateService growthRateService;

    /**
     * 查询enterprise列表
     */
    @PreAuthorize("@ss.hasPermi('growthRate:growthRate:list')")
    @GetMapping("/analysis")
    public TableDataInfo analysisGrowthRate(GrowthRate growthRate)
    {
        startPage();
        List<GrowthRateDto> list = growthRateService.analysisGrowthRate(growthRate);
        return getDataTable(list);
    }
}
